Bug 1552466 - docker_puppet_apply.sh has a fatal typo
Summary: docker_puppet_apply.sh has a fatal typo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: z2
: 12.0 (Pike)
Assignee: Michele Baldessari
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-07 08:16 UTC by Michele Baldessari
Modified: 2018-03-28 17:18 UTC (History)
3 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.9-5.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-28 17:17:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0602 None None None 2018-03-28 17:18:18 UTC
OpenStack gerrit 545759 None None None 2018-03-07 08:18:14 UTC
Launchpad 1750000 None None None 2018-03-07 08:16:29 UTC

Description Michele Baldessari 2018-03-07 08:16:29 UTC
Description of problem:
In change Icf4a64ed76635e39bbb34c3a088c55e1f14fddca we did a refactoring of the puppet apply commmands into a single script. A typo slipped in where we set FACTOR_uuid instead of FACTER_uuid

This breaks controller replacement when we apply https://review.openstack.org/549787 (which is still WIP).
I am surprised it does not break more things tbh

Version-Release number of selected component (if applicable):
7.0.9-2

Comment 4 Gurenko Alex 2018-03-13 09:16:50 UTC
Verified on puddle 2018-03-10.1

Comment 7 errata-xmlrpc 2018-03-28 17:17:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0602


Note You need to log in before you can comment on or make changes to this bug.